/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pizza;

import Entities.Alap;
import Entities.AlapJpaController;
import Entities.Feltet;
import Entities.FeltetJpaController;
import GUI.GUI;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author puzsaai
 */
public class Pizza {

    //Próba adatok feltöltése - elég csak első futásnál
    private static void Feltoltes(){
        EntityManagerFactory factory  = Persistence.createEntityManagerFactory("PizzaPU");
        AlapJpaController alapJPAC = new AlapJpaController(factory);
        FeltetJpaController feltetJPAC = new FeltetJpaController(factory);
        
        Feltet sonka = new Feltet();
        sonka.setAr(100);sonka.setName("Sonka");        
        
        Feltet gomba = new Feltet();
        gomba.setAr(200); gomba.setName("Gomba");
        
        Feltet szalami = new Feltet();
        szalami.setAr(150);szalami.setName("SZalami");
        
        Feltet daraltHus = new Feltet();
        daraltHus.setAr(500); daraltHus.setName("DaraltHus");
        
        feltetJPAC.create(sonka);
        feltetJPAC.create(gomba);
        feltetJPAC.create(szalami);
        feltetJPAC.create(daraltHus);
        
        Set<Feltet> alapFeltetek = new HashSet<>();
        alapFeltetek.add(sonka);alapFeltetek.add(szalami);
        
        Set<Feltet> maxFeltetek = new HashSet<>();
        maxFeltetek.add(sonka);maxFeltetek.add(szalami);
        maxFeltetek.add(gomba);maxFeltetek.add(daraltHus);
        
        Alap alap1 = new Alap();
        alap1.setName("Sima");alap1.setAtmero(32);alap1.setHajtott(false);
        alap1.setAr(800);
        alap1.setFeltetek(alapFeltetek);
        
        Alap max = new Alap();
        max.setName("Maxi");max.setAtmero(52);max.setHajtott(true);
        max.setAr(1200);
        max.setFeltetek(maxFeltetek);
        
        alapJPAC.create(alap1);
        alapJPAC.create(max);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        //Első futtatás után érdemes a következő sort kikommentezni!
        Feltoltes();
        new GUI().setVisible(true);
    }
}
